//---------------------------------------------------------------------------

#ifndef UMonitorThreadH
#define UMonitorThreadH
//---------------------------------------------------------------------------

#include <Classes.hpp>
#include "MonitorBase.h"

typedef void __fastcall (__closure *TMonitorMessageEvent)(TThread*,
            TMonintorMessageType Type, String Message, int ErrCode);

//---------------------------------------------------------------------------
class TMonitorThread : public TThread{
      TTagMonitorEvent *eve;
      TTagMonitorSharedMem *mem;
      String text;
      TMonintorMessageType mesType;
      TMonitorMessage *msg;
      int errCode;
      TMonitorMessageEvent FOnMessage;
   protected:
      void __fastcall Execute();
      void __fastcall UpdateLog();
   public:
      __fastcall TMonitorThread(bool CreateSuspended);
      __fastcall ~TMonitorThread();
      __property TMonitorMessageEvent OnMessage={read=FOnMessage, write=FOnMessage};
};//-----------------------------------------------------------------------------
#endif
 